> ## Documentation Index
> Fetch the complete documentation index at: https://docs.playbook3d.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload Video

> Uploads video to Playbook3d's servers



## OpenAPI

````yaml post /upload-video
openapi: 3.1.0
info:
  title: Playbook API Documentation
  description: >-
    This is the documentation for the Playbook API. You can use this API to use
    our service programmatically, this is done by using your API key. <br/> You
    can view your API key using the 'User' tab on https://beta.playbook3d.com/.
  version: '1.0'
servers: []
security: []
tags: []
paths:
  /upload-video:
    post:
      tags:
        - upload-video
      summary: Upload video
      description: Uploads video to Playbook3d's servers.
      operationId: video
      parameters:
        - description: >-
            Your API key. This is required by most endpoints to access our API
            programatically. You can view your x-api-key using the 'Profile' tab
            on the website.
          required: false
          schema:
            type: string
            title: X-Api-Key
            description: >-
              Your API key. This is required by most endpoints to access our API
              programatically. You can view your x-api-key using the 'Profile'
              tab on the website.
          name: x-api-key
          in: header
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/upload_image_post'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                example:
                  message: Image Uploaded succesfully
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      x-codeSamples:
        - lang: Python
          source: |-
            from playbookNetworkClient import PlaybookClient

             def setup(self):
             self.playbookClient = PlaybookClient()
             self.playbookClient.set_api_key({your api key})

             def upload_video(self, video: Union[str, bytes]):
              result = self.playbookClient.upload_video_to_playbook(video)
        - lang: JavaScript
          source: ''
        - lang: C#
          source: "RunWorkflowProperties data =\n\tnew()\n\t{\n\t\tid = {workflow_id},\n\t\torigin = \"2\",\n\t\tinputs = new { },\n\t};"
components:
  schemas:
    upload_image_post:
      properties:
        file_path:
          type: string
          description: The file path to upload.
        file:
          type: object
          description: File binary to upload
      type: object
      required: []
      title: upload_image
    HTTPValidationError:
      properties:
        detail:
          items: 3bd63c7e-c2b9-44a8-a21c-342e5c3e1b0a
          type: array
          title: Detail
      type: object
      title: HTTPValidationError

````